package com.gic.haoban.manage.api.dto.qdto.hm;

import com.gic.haoban.base.api.common.BasePageInfo;

import java.util.Date;

/**
 * @Author MUSI
 * @Date 2022/7/1 2:47 PM
 * @Description
 * @Version
 **/
public class HmPageQDTO extends BasePageInfo {

    private static final long serialVersionUID = 7554464387425111232L;
    private String pageSearchText;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 微信企业id
     */
    private String wxEnterpriseId;
    
    private int pageType ;
    
    public int getPageType() {
        return pageType;
    }

    public void setPageType(int pageType) {
        this.pageType = pageType;
    }

    public String getPageSearchText() {
        return pageSearchText;
    }

    public void setPageSearchText(String pageSearchText) {
        this.pageSearchText = pageSearchText;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}
